package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 属性值表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCategoryPropertyValueDao;
import com.heyu.api.data.entity.vv.VvCategoryPropertyValueEntity;
import com.heyu.api.data.service.vv.VvCategoryPropertyValueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCategoryPropertyValueServiceImpl extends ServiceImpl<VvCategoryPropertyValueDao, VvCategoryPropertyValueEntity> implements VvCategoryPropertyValueService {


    @Autowired
	private VvCategoryPropertyValueDao vvCategoryPropertyValueDao;



	@Override
	public VvCategoryPropertyValueEntity selectVvCategoryPropertyValueById(Long id){
		return vvCategoryPropertyValueDao.selectVvCategoryPropertyValueById(id);
	}



	@Override
	public Long insertVvCategoryPropertyValue(VvCategoryPropertyValueEntity vvCategoryPropertyValue){
		return vvCategoryPropertyValueDao.insertVvCategoryPropertyValue(vvCategoryPropertyValue);
	}



	@Override
	public Long insertOrUpdateVvCategoryPropertyValue(VvCategoryPropertyValueEntity vvCategoryPropertyValue){
		return vvCategoryPropertyValueDao.insertOrUpdateVvCategoryPropertyValue(vvCategoryPropertyValue);
	}



	@Override
	public int updateVvCategoryPropertyValueById(VvCategoryPropertyValueEntity vvCategoryPropertyValue){
		return vvCategoryPropertyValueDao.updateVvCategoryPropertyValueById(vvCategoryPropertyValue);
	}



	@Override
	public int updateCoverVvCategoryPropertyValueById(VvCategoryPropertyValueEntity vvCategoryPropertyValue){
		return vvCategoryPropertyValueDao.updateCoverVvCategoryPropertyValueById(vvCategoryPropertyValue);
	}



	@Override
	public int deleteVvCategoryPropertyValueById(Long id){
		return vvCategoryPropertyValueDao.deleteVvCategoryPropertyValueById(id);
	}



}
